Orxonox: CEGUI::OgreCEGUIRenderer::QuadInfo Struct Reference

# CEGUI::OgreCEGUIRenderer::QuadInfo Struct Reference

structure holding details about a quad to be drawn More...

List of all members.

## Public Member Functions

bool | operator< (const QuadInfo &other) const

## Public Attributes

uint32 | bottomLeftCol
uint32 | bottomRightCol
Rect | position
QuadSplitMode | splitMode
Rect | texPosition
Ogre::TexturePtr | texture
uint32 | topLeftCol
uint32 | topRightCol
float | z

## Detailed Description

structure holding details about a quad to be drawn

## Member Function Documentation

bool CEGUI::OgreCEGUIRenderer::QuadInfo::operator< | ( | const QuadInfo & | other | ) | const`[inline]`

References z.

## Member Data Documentation

uint32 CEGUI::OgreCEGUIRenderer::QuadInfo::bottomLeftCol

Referenced by CEGUI::OgreCEGUIRenderer::addQuad(), and CEGUI::OgreCEGUIRenderer::doRender().

uint32 CEGUI::OgreCEGUIRenderer::QuadInfo::bottomRightCol

Referenced by CEGUI::OgreCEGUIRenderer::addQuad(), and CEGUI::OgreCEGUIRenderer::doRender().

Rect CEGUI::OgreCEGUIRenderer::QuadInfo::position

Referenced by CEGUI::OgreCEGUIRenderer::addQuad(), and CEGUI::OgreCEGUIRenderer::doRender().

QuadSplitMode CEGUI::OgreCEGUIRenderer::QuadInfo::splitMode

Referenced by CEGUI::OgreCEGUIRenderer::addQuad(), and CEGUI::OgreCEGUIRenderer::doRender().

Rect CEGUI::OgreCEGUIRenderer::QuadInfo::texPosition

Referenced by CEGUI::OgreCEGUIRenderer::addQuad(), and CEGUI::OgreCEGUIRenderer::doRender().

Ogre::TexturePtr CEGUI::OgreCEGUIRenderer::QuadInfo::texture

Referenced by CEGUI::OgreCEGUIRenderer::addQuad(), and CEGUI::OgreCEGUIRenderer::doRender().

uint32 CEGUI::OgreCEGUIRenderer::QuadInfo::topLeftCol

Referenced by CEGUI::OgreCEGUIRenderer::addQuad(), and CEGUI::OgreCEGUIRenderer::doRender().

uint32 CEGUI::OgreCEGUIRenderer::QuadInfo::topRightCol

Referenced by CEGUI::OgreCEGUIRenderer::addQuad(), and CEGUI::OgreCEGUIRenderer::doRender().

float CEGUI::OgreCEGUIRenderer::QuadInfo::z

Referenced by CEGUI::OgreCEGUIRenderer::addQuad(), CEGUI::OgreCEGUIRenderer::doRender(), and operator<().

The documentation for this struct was generated from the following file:

- src/ogreceguirenderer/OgreCEGUIRenderer.h